Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.webservice.context
Interface WebServiceSession

public interface WebServiceSession

The WebServiceSession object maintains state on the server between multiple HTTP invokes of the same Web Service operation from a single client. This class relies on HTTP sessions to maintain state.

When used in a stand-alone client application, this object can be used to main state in the client when invoking a particular Web service multiple times.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`java.lang.Object` | `getAttribute(java.lang.String name)` Returns the value of an attribute.
`java.util.Iterator` | `getAttributeNames()` Returns the names of all the attributes associated with this session.
`java.lang.Object` | `getRequest()` Returns the underlying HTTP request.
`java.lang.Object` | `getUnderlyingSession()` Returns the underlying HTTP session.
`void` | `invalidate()` Invalidates the session.
`void` | `removeAttribute(java.lang.String name)` Removes the specified attribute.
`void` | `setAttribute(java.lang.String name, java.lang.Object value)` Sets the value of the specified attribute.

Method Detail

### getUnderlyingSession

    public java.lang.Object getUnderlyingSession()
                                          throws javax.xml.rpc.JAXRPCException

  Returns the underlying HTTP session.

  Returns:
    HTTP session
  Throws:
    javax.xml.rpc.JAXRPCException - unable to find session

### getRequest

    public java.lang.Object getRequest()
                                throws javax.xml.rpc.JAXRPCException

  Returns the underlying HTTP request.

  Returns:
    HTTP request
  Throws:
    javax.xml.rpc.JAXRPCException - unable to retrieve request

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)

  Returns the value of an attribute.

  Parameters:
    `name` - name of the attribute
  Returns:
    value of the attribute

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object value)

  Sets the value of the specified attribute.

  Parameters:
    `name` - name of the attribute
    `value` - value of the attribute

### getAttributeNames

    public java.util.Iterator getAttributeNames()

  Returns the names of all the attributes associated with this session.

  Returns:

### removeAttribute

    public void removeAttribute(java.lang.String name)

  Removes the specified attribute.

  Parameters:
    `name` - name of the attribute to be removed

### invalidate

    public void invalidate()

  Invalidates the session.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD